M_ABORT(3)

FUNCTION
m_abort - Print memory error notification message and abort.

SYNOPSIS
#include <karma_m.h>

void m_abort

(char *name, char *reason)

DESCRIPTION
Print memory error notification message and abort.

function_name
    The name of the function requesting the memory.

reason
    The reason for the memory allocation.

RETURN VALUE
Nothing. The process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/